#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 12. System Utilities

- Prev

  Bubblewrap-0.4.1

- Next

  cpio-2.13

- Up
- Home

# Colord-1.4.5

## Introduction to Colord

Colord is a system service that makes it easy to manage, install, and generate color profiles. It is used mainly by GNOME Color Manager for system integration and use when no users are logged in.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://www.freedesktop.org/software/colord/releases/colord-1.4.5.tar.xz

- Download MD5 sum: adc4501b54fb8667ee99f64cff87e12d

- Download size: 1.8 MB

- Estimated disk space required: 31 MB (with tests)

- Estimated build time: 0.3 SBU (with tests)

### Colord Dependencies

#### Required

dbus-1.12.20, GLib-2.66.7, Little CMS-2.12, Polkit-0.118, and SQLite-3.34.1

#### Recommended

gobject-introspection-1.66.1, libgudev-234, libgusb-0.3.5, Systemd-247, and Vala-0.50.3

#### Optional

gnome-desktop-3.38.4 and colord-gtk-0.2.0 (to build the example tools), libxslt-1.1.34, SANE-1.0.29, ArgyllCMS, and Bash Completion

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/colord

## Installation of Colord

There should be a dedicated user and group to take control of the colord daemon after it has started. Issue the following commands as the `root` user:

    groupadd -g 71 colord &&
    useradd -c "Color Daemon Owner" -d /var/lib/colord -u 71 \
            -g colord -s /bin/false colord

First, clean up about 100 warnings:

    mv po/fur.po po/ur.po &&
    sed -i 's/fur/ur/' po/LINGUAS

Install Colord by running the following commands:

    mkdir build &&
    cd build &&

    meson --prefix=/usr            \
          -Ddaemon_user=colord     \
          -Dvapi=true              \
          -Dsystemd=true           \
          -Dlibcolordcompat=true   \
          -Dargyllcms_sensor=false \
          -Dbash_completion=false  \
          -Ddocs=false             \
          -Dman=false ..           &&
    ninja

Now, as the `root` user:

    ninja install

To test the results, issue: ninja -k 2 test. One test, `colord-self-test-daemon`, will fail. The test suite must be run after the package is installed, and the system-wide D-Bus Daemon must be running.

## Command Explanations

`-Ddaemon_user=colord`: This switch is used so the colord daemon will run as an unprivileged user instead of the `root` user.

`-Dvapi=true`: This switch enables building the Vala bindings. Remove if you don't have Vala-0.50.3 installed.

`-Dsystemd=true`: This switch enables installation of the systemd service.

`-Dlibcolordcompat=true`: This switch enables building a compatibility library for older packages that use Colord.

`-Dargyllcms_sensor=false`: This switch disables the ArgLLCMS sensor driver. Omit if you have ArgyllCMS installed and wish to use it.

`-Dbash_completion=false`: This switch disables Bash Completion support for Colord applications.

`-Ddocs=false`: This switch disables building of documentation. Omit if you have GTK-Doc-1.33.2 available.

`-Dman=false`: This switch disables building of man pages. Omit if you have DocBook-utils-0.6.14 available. Namespaced versions of the docbook-xsl stylesheets are also required.

## Contents

Installed Programs: cd-create-profile, cd-fix-profile, cd-iccdump, cd-it8, and colormgr
Installed Libraries: libcolord.so, libcolordcompat.so, libcolordprivate.so, and libcolorhug.so
Installed Directories: /usr/include/colord-1, /usr/lib/colord-{plugins,sensors}, /usr/share/color{d}, /usr/share/gtk-doc/html/colord, and /var/lib/colord

### Short Descriptions

cd-create-profile | is the Color Manager Profile Creation Tool
cd-fix-profile | is a tool used to fix metadata in ICC profiles
cd-iccdump | dumps the contents of an ICC profile as human readable text
cd-it8 | is the Color Manager Testing Tool
colormgr | is a text-mode program that allows you to interact with colord on the command line
`libcolord.so` | contains the Colord API functions
`libcolordcompat.so` | contains legacy API functions for compatibility with older applications
`libcolordprivate.so` | contains internal API functions for the programs included with Colord
`libcolorhug.so` | contains a simple display hardware colorimiter

Last updated on 2021-02-21 17:43:43 -0800

- Prev

  Bubblewrap-0.4.1

- Next

  cpio-2.13

- Up
- Home